#ifndef __VEHICLE_H
#define __VEHICLE_H

#include "state.h"
#include "stm32g4xx_hal.h"
#include "stm32g4xx_hal_fdcan.h"

#define CAN_ID_MISSION_SELECT 0x400
#define CAN_ID_AS_MISSION_FB 0x410

void vehicle_init(FDCAN_HandleTypeDef *handle);

void vehicle_send_mission_select(Mission mission);

#endif // __VEHICLE_H